Bug 732804 - wizards should not display a Previous button when the user is on the first step of the wizard
wizards should not display a Previous button when the user is on the first st...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.1
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
Mike Foley
:
Depends On:
Blocks: rhq41-ui
  Show dependency treegraph
 
Reported: 2011-08-23 12:58 EDT by Ian Springer
Modified: 2013-08-05 20:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:18:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2011-08-23 12:58:03 EDT
Currently the button is disabled - instead it should be hidden. Our standard in the GUI is to only disable buttons when either 1) the user does not have authorization to click the button, or 2) the button is only temporarily disabled and will eventually become enabled; this case meets neither of these conditions, and so the button should not be displayed at all.
Comment 1 Ian Springer 2011-08-23 13:04:08 EDT
[master 8a53696] (http://git.fedorahosted.org/git?p=rhq/rhq.git;a=commit;h=8a536964575372d7b55b75173d478c367313a285) fixes this.
Comment 2 Sunil Kondkar 2011-08-24 07:17:02 EDT
Verified on build#334 Version: 4.1.0-SNAPSHOT Build Number: d686a21)

Verified on Create Child in AS7 resource, import script wizard in JBoss AS resource and bundle creation wizard. Also verified that the second step of the wizard displays the 'Previous' button and clicking on it navigates back to the first step. The first step of the wizards does not display the 'Previous' button.

Marking as verified.
Comment 3 Mike Foley 2012-02-07 14:18:19 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.